/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultLoadSystem_8h.html#a17dc91fc4521efa9a3fb25bc4106701e",
"InstanceId_8cc.html",
"MediaPriority_8h.html",
"Pool_8h_source.html",
"RepoindexFileReader_8h_source.html",
"SetRelationMixin_8h.html#a087ae964a6ff00efbee7b2e826cb4a82",
"TargetImpl_8h.html",
"base_2Errno_8h_source.html",
"classzypp_1_1ByteCount.html#a10a97b319b607891d5a63a241a602957",
"classzypp_1_1CheckSum.html#a37689dd9b4adecf75b5d3799ce312cad",
"classzypp_1_1DefaultIntegral.html#ac495d7151079a8a4a5f3c876f7cfb1c9",
"classzypp_1_1Fetcher_1_1Impl.html#a91244b4183feffa93ea04a0fb0526a9c",
"classzypp_1_1IdStringType.html#aaa3634d25eb022e3abff45cee1ea9502",
"classzypp_1_1LogThread.html#a1b3fad9b858f34e4dcb22a6e376e5742",
"classzypp_1_1Patch.html#a6a9f208a69c0768dc6b66af2ed1204d3",
"classzypp_1_1PoolItemBest.html#a9f026103623003f34f9861929109f22e",
"classzypp_1_1ProgressData.html#aff8d75ea73a783cb488e9e94dc8cf338",
"classzypp_1_1RepoStatus.html",
"classzypp_1_1ResPoolProxy.html#ab1e02f484d3cf9b63c23e0445f90d665",
"classzypp_1_1Resolver.html#a93c30aecbc3a4c08aef64aeef2e81901",
"classzypp_1_1UByteArray.html",
"classzypp_1_1ZConfig.html#ae3e7b9d3ebe5b0abb7b8762db9edb7a2",
"classzypp_1_1base_1_1DrunkenBishop.html#a708c7057ab954b42d31520df101ec68f",
"classzypp_1_1debug_1_1Measure_1_1Impl.html#a385940a70b29ce28fe9d845eea4908f8",
"classzypp_1_1filesystem_1_1PathInfo.html#af3df5c570fe783054fe10a80bfaaa885",
"classzypp_1_1media_1_1AuthData.html#ab1d100416d97cdcad8d72b17650965a2",
"classzypp_1_1media_1_1MediaDISK.html#a0a2c1c62683c12efe9b0c3355fa6ce22",
"classzypp_1_1media_1_1MediaNetwork.html#aefdd70cef6334b4f0f891935d9d87462",
"classzypp_1_1media_1_1TransferSettings.html#ad9f9cb213b63d876255eb7ea8ebc3be5",
"classzypp_1_1parser_1_1HistoryLogReader.html#afbe9941064971cb1675b30d5b070dc6a",
"classzypp_1_1repo_1_1PackageProviderImpl.html",
"classzypp_1_1sat_1_1AllPTFs.html#a6874107524cb5f72cca37cf57cd33101",
"classzypp_1_1sat_1_1Pool.html#ab309887b7f74073fa87948637bcf3516",
"classzypp_1_1sat_1_1Solvable.html#a92d00385f3d3a6f37d9a1f36f80744ef",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a5b53f164ec9b7ea1f939404c28550d56",
"classzypp_1_1syscontent_1_1Reader_1_1Entry_1_1Impl.html#a30b0cbdb4e7b9a206dd6af5ebf471a43",
"classzypp_1_1target_1_1TargetImpl.html#a7b2a6d9f76ccecca46cd87cb3a4fa96f",
"classzypp_1_1target_1_1rpm_1_1RpmInvalidRootException.html#a2798ee08648c52e2e836e43012e73193",
"classzypp_1_1url_1_1SafeQuerystr.html#aff36045f5c7237046622e8b408211abc",
"classzypp_1_1xml_1_1XmlString.html#a0c0f7ecf10183b1c831a49078c0da2d6",
"classzyppng_1_1DownloadSpec.html#a54fc2fc8e190c79859ddad18a4aa23d3",
"classzyppng_1_1NetworkRequestDispatcherPrivate.html#afac577e9c038674314242efe824c3637",
"classzyppng_1_1ProvideMediaSpec.html#a3380b45a037390b6d25963e82d4233fb",
"classzyppng_1_1worker_1_1DeviceDriver.html#a7fff2057e8ee861356f03b14138fd170",
"core_2base_2LogTools_8h.html#a075e02fac4da71233ec08217a33eff11",
"core_2fs_2PathInfo_8h.html#a15c6f1f768ee1e92f580f2ffec15161f",
"final__p_8cc_source.html",
"group__RelCompare.html",
"mediaexception_8cc.html",
"namespacezypp_1_1repo.html",
"providemessage__p_8h.html#af5fa3270b751128aef2db8c971a8f82e",
"structzypp_1_1CheckSumException.html#ae5bac9c531512e7c2b5cea5a1470fc7f",
"structzypp_1_1HistoryActionID.html#a058681b6a6de90a866698aeee60ac6ba",
"structzypp_1_1PluginFrame_1_1Impl.html#aff295000ccad860c454daafcfe77db11",
"structzypp_1_1Rel.html#ada159bb52fe4f7841fe6e59352046aa6a104454157645639523622facd609c127",
"structzypp_1_1ResPoolProxy_1_1Impl.html#a01abe715c4bb1321f7bd6465dc23ebae",
"structzypp_1_1base_1_1SetTracker.html#a66a88ee8b51d331eadc189d0157c28e4",
"structzypp_1_1functor_1_1GetFirst.html",
"structzypp_1_1misc_1_1testcase_1_1LoadTestcase_1_1Impl.html#a882ac8adaa9d0aea9fb1ba34c0ec85b0",
"structzypp_1_1repo_1_1RepoReport.html#a613e8e28e9eeaedfbf84918f8c2ca428a9536b0050b13d9abc0c33b0d69b3da73",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#a6dc86dc5ec936b9ccaab2cc0930def9e",
"structzypp_1_1target_1_1rpm_1_1RpmInstallReport.html#a78704e3b9309996233296db0f3ed1fefa2f3cf618e4344f5388a13d8382473c6f",
"structzypp_1_1xml_1_1parse__def__assign_1_1Builder.html#a1fb5cc158f99c977083448f2ec539e39",
"structzyppng_1_1NetworkRequestPrivate_1_1running__t.html",
"zypp-repovars.html#zypp-repovars-intro"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';